# 24.05.15

ALTER TABLE  `disciplines` CHANGE  `ExamType`  `ExamType` ENUM(  'exam',  'credit',  'grading_credit' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ;
ALTER TABLE  `disciplines` ADD  `Subtype` ENUM(  'scientific_coursework',  'disciplinary_coursework' ) NULL DEFAULT NULL ;
ALTER TABLE  `disciplines` CHANGE  `isMilestone`  `Milestone` INT( 11 ) NOT NULL DEFAULT  '0';


CREATE TABLE IF NOT EXISTS `session_options` (
    `ID` int(11) NOT NULL AUTO_INCREMENT,
    `SubmoduleID` int(11) NOT NULL,
    `StudentID` int(11) NOT NULL,
    `Type` enum('absence','pass') NOT NULL,
    PRIMARY KEY (`ID`),
    UNIQUE KEY `SubmoduleID` (`SubmoduleID`,`StudentID`),
    KEY `SubmoduleID_2` (`SubmoduleID`),
    KEY `StudentID` (`StudentID`),
    KEY `StudentID_2` (`StudentID`),
    KEY `StudentID_3` (`StudentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE `session_options`
ADD CONSTRAINT `session_options_ibfk_2` FOREIGN KEY (`StudentID`) REFERENCES `students` (`ID`),
ADD CONSTRAINT `session_options_ibfk_1` FOREIGN KEY (`SubmoduleID`) REFERENCES `submodules` (`ID`);

UPDATE `subjects` SET `Name`= "Курсовая работа", `Abbr` = "Курсовая" WHERE `ID` = 346;
